Bug 93387 - inverse() shouldn’t be exposed in GLSL 1.20 and 1.30
Summary: inverse() shouldn’t be exposed in GLSL 1.20 and 1.30
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: glsl-compiler (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Kenneth Graunke
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-15 15:52 UTC by Link Mauve
Modified: 2015-12-17 03:36 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Link Mauve 2015-12-15 15:52:24 UTC
This GLSL function was only added in 1.40, and thus should never be exposed in lower versions.
Comment 1 Kenneth Graunke 2015-12-16 18:08:16 UTC
Good catch, thanks!  I apparently screwed this up in 722eff674b832e2321f791c68358ef52d2a1ff25.

I just mailed out a patch:
http://patchwork.freedesktop.org/patch/68444/
Comment 2 Kenneth Graunke 2015-12-17 03:36:48 UTC
Fixed in master by:

commit 4a5cff24d77df6070656b501514d8c304fdbabdf
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Wed Dec 16 00:56:39 2015 -0800

    glsl: Remove inverse() from GLSL 1.20 and 1.30.
    
    I apparently regressed this when rewriting the built-ins using
    ir_builder, in 76d2f73643f.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=93387
    Signed-off-by: Kenneth Graunke <kenneth@whitecape.org>
    Reviewed-by: Ilia Mirkin <imirkin@alum.mit.edu>
    Reviewed-by: Matt Turner <mattst88@gmail.com>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.